# Class CIM_BGPAdminDistance
extends CIM_Dependency

This is a specialization of the Dependency association, and defines the relationship between a BGPService and the AdministrativeDistances that it uses to control the (BGP) routing decisions that it makes.

### Table of Contents
Hierarchy
Direct Known Subclasses
Class Qualifiers
Class Properties
Class Methods

## Class Hierarchy

CIM_Dependency
|
+--CIM_BGPAdminDistance

## Direct Known Subclasses

## Class Qualifiers

Name | Data Type | Value
--- | --- | ---
Association | boolean | true
Description | string | This is a specialization of the Dependency association, and defines the relationship between a BGPService and the AdministrativeDistances that it uses to control the (BGP) routing decisions that it makes.
UMLPackagePath | string | CIM::Network::BGP
Version | string | 2.6.0

## Class Properties

### Association References

Name | Class Origin | Reference Class
--- | --- | ---
Antecedent | CIM_BGPAdminDistance | CIM_AdministrativeDistance
Dependent | CIM_BGPAdminDistance | CIM_BGPService

## Class Methods